function [THETA,R, BETTA, GAMA,delta, phik, phib, ybar, bbar, rho1,rho2, sigma1, sigma2, sigmaz, sigmak,...
    c,k, b, yz, Inv, y1, y2, lambdaSS1,lambdaSS2, lambdaSS3, lambdaSS4,lambdaSS5] = Durable_model_ss
%Input:  none
%Output: Model parameter values, steady state values for model variables
%        and Lagrange multipliers

THETA   = 0.8;
R = 1.01;
BETTA    = 1/R;
GAMA = 2;
delta   = 0.02;

phib = 0.001;
phik = 0.5;
ybar = 1;
bbar = 0.2;

rho1 = 0.97;
rho2 = 0.8; 
sigma1 = 0.01; 
sigma2 = sqrt(0.003);
sigmaz = 0.1;
sigmak = 0.00;

c = ((R-1)*bbar + ybar)/(1+delta*BETTA*(1-THETA)/(THETA*(1-BETTA*(1-delta))));
k = BETTA*(1-THETA)/THETA/(1-BETTA*(1-delta))*c;
Inv = delta*k;
b = bbar;
y1 = 0;
y2 = 0;
yz = 0;

MU = (c^THETA*k^(1-THETA))^(-GAMA)*THETA*c^(THETA-1)*k^(1-THETA);
lambdaSS1 = BETTA/(1-BETTA*rho1)*ybar*MU;
lambdaSS2 = BETTA/(1-BETTA*rho2)*ybar*MU;
lambdaSS3 = BETTA*ybar*MU;
lambdaSS4 = MU;
lambdaSS5 = MU;
end