
% 5.1 Pitfalls,first column figure

% Copywrite (C) Written by Bo Zhang, zhangbo@swufe.edu.cn
% 
%----------------------------------------------------------------
% 0. Housekeeping (close all graphic windows)
%----------------------------------------------------------------

%close all;

%----------------------------------------------------------------
% 1. Defining variables
%----------------------------------------------------------------

var k c a1 a2;
varexo e_a1 e_a2;
parameters alpha beta kbar cbar;

%----------------------------------------------------------------
% 2. Calibration
%----------------------------------------------------------------
% 
% U(c) = log(c) ;
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

alpha=0.33;
beta=0.99;

kbar=(alpha*beta)^(1/(1-alpha));
cbar=(1-alpha*beta)*kbar^alpha;

%----------------------------------------------------------------
% 3. Model
%----------------------------------------------------------------
model(linear); 
//(1) Euler equation
c(+1)=a1(+1)+a2(+1)+(alpha-1)*k+c;

//(2) Resource constraint
cbar*c+kbar*k=(cbar+kbar)*(a1+a2+alpha*k(-1));

//(3) Technology shock 1
a1=0.9*a1(-1)+e_a1;

// (4) TFP shock 2
a2=0.5*a2(-1)+e_a2;
end;


steady;
check;

shocks;

var e_a1=1^2;
var e_a2=5^2;
end;
stoch_simul(irf=40,order=1)c;