% 5.1 Pitfalls,second column figure

% Copywrite (C) Written by Bo Zhang, zhangbo@swufe.edu.cn
% 
%----------------------------------------------------------------
% 0. Housekeeping (close all graphic windows)
%----------------------------------------------------------------

%close all;

%----------------------------------------------------------------
% 1. Defining variables
%----------------------------------------------------------------
var k c a1 a2;
varexo e_a1 e_a2;
parameters alpha beta kbar cbar;


%----------------------------------------------------------------
% 2. Calibration
%----------------------------------------------------------------
alpha=0.33;
beta=0.99;

kbar=(alpha*beta)^(1/(1-alpha));
cbar=(1-alpha*beta)*kbar^alpha;

%----------------------------------------------------------------
% 3. Model
%----------------------------------------------------------------
model(linear); 

c=c(+1);
cbar*c=kbar*(alpha*kbar^(alpha-1)-1)*k(-1)+(alpha*kbar^(alpha-1)-1)*kbar^alpha/(alpha*kbar^(alpha-1)-0.9)*a1+(alpha*kbar^(alpha-1)-1)*kbar^alpha/(alpha*kbar^(alpha-1)-0.5)*a2;
a1=0.9*a1(-1)+e_a1;
a2=0.5*a1(-1)+e_a2;
end;

steady;
check;

shocks;

var e_a1=1^2;
var e_a2=5^2;
end;
stoch_simul(irf=100,order=1)c;