function [ALFA,BETTA, rho1,rho2, sigma1, sigma2, c,k,a1,a2, lambdaSS1,lambdaSS2, lambdaSS3] = Pitfall_model_ss;
%Input:  none
%Output: Model parameter values, steady state values for model variables
%        and Lagrange multipliers

ALFA   = 0.33;
BETTA    = 0.99;
 
rho1 = 0.9; sigma1 = 0.01; sigma2 = 0.05; rho2 = 0.5;

k = (ALFA*BETTA)^(1/(1-ALFA));
c = (1-ALFA*BETTA)*k^ALFA;

lambdaSS3 = 1/c;
lambdaSS1 = BETTA*lambdaSS3*k^ALFA/(1-BETTA*rho1);
lambdaSS2 = BETTA*lambdaSS3*k^ALFA/(1-BETTA*rho2);

a1 = 0;
a2 = 0;

end