function [gx, gu, Hxx, Hxu,Huu] = anal_derivative(f,g, x, u, lambdaSS);
%x and u are n_x and n_u column vectors
H = f+lambdaSS'*g; % Scalar Hamiltonian function
gx = jacobian(g,x); %n_x by n_x matrix 
gu = jacobian(g,u); %n_x by n_u matrix
D2H = hessian(H,[x; u]); %n_x+n_u square matrix
nx = length(x);
Hxx = D2H(1:nx,1:nx);
Hxu = D2H(1:nx,nx+1:end);
Huu = D2H(nx+1:end,nx+1:end);